%define	name	kover
%define	version	3
%define	release %mkrel 4

Name:           %{name}
Summary:        WYSIWYG CD cover printer with CDDB support
Version:        %{version}
Release:        %{release}
Source:         %{name}-%{version}.tar.bz2
Patch0:		%{name}-fix-mimetypes.patch
URL:            http://lisas.de/kover
Group:          Archiving/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2 or later
BuildRequires:	kdelibs-devel
BuildRequires:	libcdio-devel
BuildRequires:	libcddb-devel
BuildRequires:	desktop-file-utils

%description
Kover is an easy to use WYSIWYG CD cover printer with CDDB support. 

%post
%update_menus
%update_icon_cache hicolor
%update_icon_cache locolor
%update_mime_database

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_icon_cache locolor
%clean_mime_database

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS README TODO THANKS ChangeLog
%{_bindir}/kover
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/locolor/*/apps/*.png
%{_datadir}/apps/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
#%{_datadir}/mimelnk/application/*

#--------------------------------------------------------------------
%prep
%setup -q

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
%configure2_5x --disable-rpath $kdelibsuffix
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
  --add-category="Utility" \
  --add-category="DiscBurning" \
  --add-category="KDE" \
  --add-category="Qt" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 3-4mdv2008.1
+ Revision: 141734
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3-3mdv2008.0
+ Revision: 91460
- Fix File list
- Move kover in tools
- Install existing mimetype x-kover

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.com> 3-1mdv2008.0
+ Revision: 52158
- rebuild for 2008
- clean file list
- update MIME database and icon cache in %%post
- drop old menu file
- install menu entry to the right place and correct it
- buildrequires libcdio and libcddb (app now uses these)
- specify license as GPLv2 or later
- drop sourced icons (not needed)
- drop patch (no longer needed, larger values are now default upstream)
- new release 3
- Import kover



* Mon Jun 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.9.6-5mdv2007.0
- Rebuild to generate category

* Mon May 08 2006 Laurent MONTEL <lmontel@mandriva.com> 2.9.6-4
- Rebuild to generate category

* Mon Jan 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.9.6-3mdk
- Add patch2 : Fix ticket #20442
- clean spec
- use mkrel

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 2.9.6-2mdk
- Rebuild

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9.6-1mdk
- 2.9.6
- cleanups

* Tue Oct 26 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.9.5-4mdk
- fix deps and build on lib64 platforms

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.5-3mdk
- Remove explicite dependance on kdebase

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.5-2mdk
- Rebuild

* Mon May 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.5-1mdk
- 2.9.5

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.3-1mdk
- 2.9.3

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.1-5mdk
- Rebuild

* Fri Apr 25 2003 Marcel Pol <mpol@gmx.net> 2.9.1-4mdk
- buildrequires

* Mon Mar 03 2003 Marcel Pol <mpol@gmx.net> 2.9.1-3mdk
- fix buildrequires

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.1-2mdk
- Rebuild

* Fri Feb 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.9.1-1mdk
- 2.9.1

* Wed Oct 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.7-1mdk
- 2.8.7

* Sat Aug 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.6-3mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.6-2mdk
- Rebuild against gcc-3.2

* Wed Jul 24 2002  Lenny Cartier <lenny@mandrakesoft.com> 2.8.6-1mdk
- 2.8.6

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.8.5-3mdk
- patch1: libtool tag

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.5-2mdk
- Rebuild

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.5-1mdk
- new version

* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix spec file

* Thu Nov 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- Update code (0.8.3)

* Tue Oct 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-2mdk
- fixes by Claudio Panichi <sorcla@tiscalinet.it> :
	- Added missing files
	- Added menu entry
	- Fixed permissions on source file

* Wed Oct 17 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.8-1mdk
- First personal RPM for Linux Mandrake =:o)
